/* UNIVERSAL */
body {
    box-sizing: border-box;
    font-family: "SF Pro Display", sans-serif;
    margin: 0;
    padding: 0;
    overflow-y: hidden;
    overflow-x: hidden;
    touch-action: pan-y; /* Izinkan vertical scroll pada child elements */
}
/* END UNIVERSAL */
.background {
    position: fixed;
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
    z-index: -1;
    background-image: url("/asset-webview/hris/images/bg-hris.png");
    background-repeat: no-repeat;
    background-size: 100% auto; /* Lebar 100%, tinggi otomatis mengikuti proporsi */
    background-position: top; /* Posisi di atas */
}
.header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 65px;
    width: 100%;
    margin-bottom: 1rem;
    padding: 2.5rem 1rem 0 1rem;
}
.header .btn-link {
    outline: none;
    background: none;
    border: none;
    cursor: pointer;
    padding: 0;
    text-decoration: none;
    transition: all 0.2s ease;
    display: flex;
    align-items: center;
    column-gap: 8px;
    padding: 0 4px;
    border-radius: 4px;
}
.header .btn-link span {
    font-weight: 400;
    color: #333;
    font-size: 17px;
    line-height: 22px;
}
.header .btn-link:active {
    background-color: rgba(255, 164, 27, 0.25);
}
.header .btn-icon {
    outline: none;
    background: none;
    border: none;
    cursor: pointer;
    padding: 0;
    text-decoration: none;
    transition: all 0.2s ease;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    color: #fff;
    background-color: #007aff;
    font-weight: 400;
    font-size: 11px;
    line-height: 13px;
    letter-spacing: 0.06px;
    width: 92px;
    height: 36px;
    border-radius: 100px;
}
.header .btn-icon:active {
    background-color: #0069d9;
}
.body {
    position: relative;
    display: flex;
    flex-direction: column;
    padding: 0;
    height: calc(85dvh + 16px);
    border-radius: 28px 28px 0 0;
    padding: 16px 1rem 0 1rem;
    margin-top: 22px;
    background-color: #fff;
    overflow-y: hidden;
    overflow-x: hidden;
    touch-action: pan-y; /* Izinkan vertical scroll pada child elements */
}
.body .title {
    font-weight: 600;
    font-size: 17px;
    line-height: 22px;
    letter-spacing: -0.43px;
    color: #000;
    margin-bottom: 27px;
}
.body .list-data {
    display: flex;
    flex-direction: column;
    flex-grow: 1; /* Menginstruksikan anak untuk mengambil semua sisa tinggi parent */
    overflow-y: auto; /* Mengaktifkan scroll hanya jika konten melebihi tinggi */
    /* Opsional: agar tampilan scrollbar lebih rapi di browser modern */
    scrollbar-width: thin;
    gap: 16px;
}
.body .list-data .box {
    box-shadow: 0px 4px 10px 0px rgba(195, 195, 195, 0.25);
    min-height: 94px;
    width: 100%;
    display: flex;
    flex-direction: column;
    padding: 8px 26px;
    border-radius: 8px;
    color: unset;
    text-decoration: none;
    transition: all 0.2s ease;
}
.body .list-data .box:active {
    background-color: #e5e5ea;
}
.body .list-data .box .box-title {
    font-weight: 400;
    font-size: 17px;
    line-height: 22px;
    letter-spacing: -0.43px;
    color: #007aff;
}
.body .list-data .box .box-content {
    font-weight: 400;
    font-size: 13px;
    line-height: 18px;
    letter-spacing: -0.08px;
    color: #000;
}
